specVersion: 0.0.4
description: Blocks
repository: https://github.com/sushiswap/subgraphs
schema:
  file: schema.graphql
dataSources:
  - kind: ethereum/contract
    name: UniswapV2Factory
    network: mainnet
    source:
      address: "0x719e14fcb364bb05649bd525eb6c4a2d0d4ea2b7"
      startBlock: 2867000
      abi: UniswapV2Factory
    mapping:
      kind: ethereun/events
      apiVersion: 0.0.6
      language: wasm/assemblyscript
      file: UniswapV2Factory/UniswapV2Factory.wasm
      entities:
        - Blocks
      abis:
        - name: UniswapV2Factory
          file: UniswapV2Factory/abis/UniswapV2Factory.json
      blockHandlers:
        - handler: onBlock
